> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Summary Children

> Get a list of application summaries.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json get /platform/appdev/apppackages/apps/{appId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/apppackages/apps/{appId}:
    get:
      tags:
        - Package
      summary: Get Application Summary Children
      description: Get a list of application summaries.
      parameters:
        - description: ''
          in: path
          name: appId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApplicationSummary'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApplicationSummary'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/ApplicationSummary'
                type: array
          description: OK
components:
  schemas:
    ApplicationSummary:
      properties:
        appId:
          description: ''
          nullable: true
          type: string
        appKey:
          description: The AppKey is a runtime type.
          nullable: true
          type: string
        appSchemeVersion:
          description: ''
          format: int32
          type: integer
        applicationId:
          description: ''
          format: int32
          type: integer
        applicationNamespace:
          description: ''
          nullable: true
          type: string
        applicationStatusId:
          description: ''
          format: int32
          type: integer
        applicationStatusName:
          description: ''
          nullable: true
          type: string
        applicationTypeId:
          description: ''
          format: int32
          type: integer
        applicationVersion:
          $ref: '#/components/schemas/AppVersion'
        hasV2Credentials:
          description: >-
            Indicates whether the application has been upgraded to V2
            credentials.
          type: boolean
        hasVersions:
          description: ''
          type: boolean
        name:
          description: ''
          nullable: true
          type: string
        parentAppKey:
          description: |-
            The AppKey is a runtime type.
            This only applies for themes that inherit from another theme.
          nullable: true
          type: string
        parentName:
          description: ''
          nullable: true
          type: string
        releasePackageId:
          description: ''
          format: int32
          type: integer
        releasePackageName:
          description: ''
          nullable: true
          type: string
        updateAvailable:
          description: ''
          type: boolean
        updateParentAppKey:
          description: |-
            The AppKey is a runtime type.
            This only applies for themes that inherit from another theme.
            It shows the most current update available.
          nullable: true
          type: string
      type: object
    AppVersion:
      description: ''
      properties:
        majorVersion:
          description: ''
          format: int32
          type: integer
        minorVersion:
          description: ''
          format: int32
          type: integer
        revision:
          description: ''
          format: int32
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````